/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\tigerteethearrings.cs
Lines of code: 46

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class tigerteethearrings : GoldEarrings
	{

		[Constructable]
		public tigerteethearrings() : base()
		{
			Name="Tiger Teeth Earrings";
			Hue=2418;

			Attributes.AttackChance = 8;
			Attributes.DefendChance = 8;		
			Attributes.BonusDex = 8;
			Attributes.BonusHits = 8;
			Attributes.BonusStam = 8;
			Attributes.BonusStr = 8;
			Attributes.LowerManaCost = 8;
		}
		

		

		public tigerteethearrings( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=2)
			{
				Name="Tiger Teeth Earrings";
				Hue=2418;

				Attributes.AttackChance = 8;
				Attributes.DefendChance = 8;		
				Attributes.BonusDex = 8;
				Attributes.BonusHits = 8;
				Attributes.BonusStam = 8;
				Attributes.BonusStr = 8;
				Attributes.LowerManaCost = 8;			
			}
		}			
	}
	
}